Package virtuoso.jdbc4

## Class VirtuosoDataSourceFactory

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoDataSourceFactory

All Implemented Interfaces:
  `javax.naming.spi.ObjectFactory`

    public class VirtuosoDataSourceFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

### Constructor Summary

Constructors
`VirtuosoDataSourceFactory​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VirtuosoDataSourceFactory

    public VirtuosoDataSourceFactory​()

### Method Detail

#### getObjectInstance

    public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Throws:
  `java.lang.Exception`